Summary: Alsaplayer
Name: alsaplayer
Version: 0.99.30
Release: 1
Copyright: Opensource
Group: Applications/Multimedia
Source: http://www.alsa-project.org/~andy/alsaplayer-%{version}.tar.gz
Requires:  glib >= 1.2.1 gtk+ >= 1.2.1
Provides: libasound.so.0
BuildRoot: /var/tmp/%{name}-%{version}.root
Packager: Miles Lott <milos@insync.net>

%description
AlsaPlayer is a new type of PCM player. It is heavily multi-threaded and
tries to excercise the ALSA library and driver quite a bit. Features
include: 

Input addons:

     MP2 and MP3 support 
     WAV support, 8-, 16-bit, mono, stereo, any sample rate 
     CDDA support, CD Digital Audio playback! and thus USB ready :) 
     Also plays files mapped by audiofs (CDDA) 
     Module support in progress... 

Output addons:

     ALSA. Best supported of course :) 
     OSS. Kernel native sound drivers 
     Sparc. UltraSparc sound drivers 
     SGI. SGI audio library driver 
     ESD. Enlightened sound daemon support 

Visual scopes:

     Monoscope 
     Levelmeter 
     Spacescope 
     FFTscope 
     FFTscope II 
     NEW Synaescope! This is a port of Synaesthesia to the AlsaPlayer
     scope plugin architecture. Thanks Richard, it rocks!
     More being developed... 

General features:

     Full speed (pitch) control, positive *and* negative! 
       (First Linux player that does this!! MP3's and CD's do varispeed :) 
     Queue (playlist) support 
     Concurrent visual scopes (open as many as you want) 
     Multi-threaded design for efficient/skip free playback (RT) 
     GUI Interface based on gtk+ 
     NOGUI operation for shell script usage 
     Plug-in core architecture 
     Low latency mode, as low as 5ms when scheduled RT 
     Effects stream 
     Software based volume/pan control 
     Accurate scope/audio syncing using ALSA features 
     Portable (well, we'll see about that :) 
     Open source(tm) 
     Y2K complient (doh!)

%changelog
* Tue Oct 19 1999 Miles Lott <milos@insync.net>
- added Provides: libasound.so.0 line to fix
- that require.
- Removed /usr/lib/libasound.so.0 from files and
- ldconfig from spec file post and postun sections
- Altered version/release to adhere to convention
* Mon Oct 4 1999 0.99.28
- Fixes in the Mpg123 and WAV plugins
- Input plugins are now pure C, easier development
- Playlist works better
- Multiple file select in dialogs
- Rewrote Levelmeter and spacescope, less code
- Accepts files on the command line now
- NULL output plugin, for testing purposes
- Many other minor bug fixes

%prep

%setup -n alsaplayer-%{version}
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --enable-sgi=no --enable-sparc=no \
	--with-libmikmod-prefix=/usr

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/doc/alsaplayer-%{version}-%{release}
make DESTDIR=$RPM_BUILD_ROOT install-strip
cp AUTHORS COPYING INSTALL README ChangeLog $RPM_BUILD_ROOT/usr/doc/alsaplayer-%{version}-%{release}
cp /usr/lib/libasound.so.0 $RPM_BUILD_ROOT/usr/lib
strip $RPM_BUILD_ROOT/usr/bin/alsaplayer
strip $RPM_BUILD_ROOT/usr/lib/alsaplayer/output/*.so
strip $RPM_BUILD_ROOT/usr/lib/alsaplayer/output/*.a
strip $RPM_BUILD_ROOT/usr/lib/alsaplayer/input/*.so
strip $RPM_BUILD_ROOT/usr/lib/alsaplayer/input/*.a
strip $RPM_BUILD_ROOT/usr/lib/alsaplayer/scopes/*.so
strip $RPM_BUILD_ROOT/usr/lib/alsaplayer/scopes/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%doc AUTHORS COPYING INSTALL README README.ESD README.OSS ChangeLog

%files
%defattr(-,root,root)
/usr/bin/alsaplayer
%dir
/usr/doc/alsaplayer-%{version}-%{release}
/usr/lib/alsaplayer
